# TODO: use system html5lib
#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	An easy safelist-based HTML-sanitizing tool
Summary(pl.UTF-8):	Proste, oparte na liście elementów bezpiecznych, narzędzie do porządkowania HTML-a
Name:		python3-bleach
Version:	6.2.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/bleach/
Source0:	https://files.pythonhosted.org/packages/source/b/bleach/bleach-%{version}.tar.gz
# Source0-md5:	bee79c9f4a17a85945fa54221d5d8391
URL:		https://pypi.org/project/bleach/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 3.0.0
BuildRequires:	python3-six >= 1.9
BuildRequires:	python3-webencodings
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bleach is an allowed-list-based HTML sanitizing library that escapes
or strips markup and attributes.

%description -l pl.UTF-8
Bleach to oparta na liście elementów dozwolonych biblioteka
zabezpieczająca lub usuwająca znaczniki i atrybuty.

%package apidocs
Summary:	API documentation for Python bleach module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona bleach
Group:		Documentation

%description apidocs
API documentation for Python bleach module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona bleach.

%prep
%setup -q -n bleach-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CONTRIBUTORS LICENSE README.rst SECURITY.md
%{py3_sitescriptdir}/bleach
%{py3_sitescriptdir}/bleach-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Mon Apr 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-bleach.git;a=log;h=master

* Mon Apr 14 2025 Jan Rękorajski <baggins@pld-linux.org> 14f76b2
- up to 6.2.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0f36d37
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e0a9172
- python 3.13 rebuild

* Thu Oct 13 2022 Jakub Bogusz <qboosh@pld-linux.org> ea5bb2f
- python-bleach.spec updated to 5.0.0 for python 3.7+

* Thu Oct 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 0730390
- updated to 3.3.1; tests fail with python 3.9+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9a2b133
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 5636145
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 18d3497
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> b87cadb
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f980030
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Oct 09 2019 Jakub Bogusz <qboosh@pld-linux.org> d0daa53
- new
- added pytest patch to allow pytest-runner 3+

